petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatCompositeGetType

Returns type of composite.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeGetType(Mat mat,MatCompositeType *type)

Not Collective

### Input Parameter

| mat | - the composite matrix

### Output Parameter

| type | - type of composite

### See Also

MatCreateComposite(), MatCompositeSetType(), MATCOMPOSITE

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c

### Examples

src/mat/tutorials/ex9.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages